onEvent("recipes", (event) => {

  //Air Compressor
event.remove({ output: 'pneumaticcraft:air_compressor' })
event.custom(
{
  "input": [
    {
      "item": 'pneumaticcraft:ingot_iron_compressed'
    },
    {
      "item": 'pneumaticcraft:ingot_iron_compressed'
    },
    {
      "item": 'pneumaticcraft:omnidirectional_hopper'
    },
    {
      "tag": 'forge:ingots/steel'
    },
    {
      "item": 'pneumaticcraft:pressure_tube'
    },
    {
      "item": 'pneumaticcraft:ingot_iron_compressed'
    },
    {
      "item": 'industrialforegoing:machine_frame_simple'
    },
    {
      "tag": 'forge:ingots/steel'
    }
  ],
  "inputFluid": "{FluidName:\"industrialforegoing:pink_slime\",Amount:450}",
  "processingTime": 520,
  "output": {
    "item": 'pneumaticcraft:air_compressor',
    "count": 1
  },
  "type": "industrialforegoing:dissolution_chamber"
})

//Pressure Chamber Wall
event.remove({ output: '16x pneumaticcraft:pressure_chamber_wall' })
event.shaped('8x pneumaticcraft:pressure_chamber_wall', [
'LCL',
'SGS',
'LCL'
], {
  L: '#forge:ingots/steel',
  G: 'pneumaticcraft:compressed_iron_block',
  S: 'pneumaticcraft:pressure_tube',
  C: 'ftbjarmod:cast_iron_gear'
})

//Pressure Chamber Glass
event.remove({ output: '16x pneumaticcraft:pressure_chamber_glass' })
event.shapeless('pneumaticcraft:pressure_chamber_glass', ['pneumaticcraft:pressure_chamber_wall', '#forge:glass'])

//Vortex Tube
event.remove({ output: 'pneumaticcraft:vortex_tube' })
event.shaped('pneumaticcraft:vortex_tube', [
'LGL',
'SGS',
'LLL'
], {
  L: 'pneumaticcraft:ingot_iron_compressed',
  G: 'pneumaticcraft:pressure_tube',
  S: Item.of('pneumaticcraft:air_canister').ignoreNBT(),
})

//Refinery Controller
event.remove({ output: 'pneumaticcraft:refinery' })
event.shaped('pneumaticcraft:refinery', [
'LCL',
'CGC',
'LSL'
], {
  L: 'minecraft:coal_block',
  G: 'pneumaticcraft:vortex_tube',
  S: 'pneumaticcraft:small_tank',
  C: 'pneumaticcraft:compressed_iron_gear'
})

//Thermopneumatic Processing Plant
event.remove({ output: 'pneumaticcraft:thermopneumatic_processing_plant' })
event.shaped('pneumaticcraft:thermopneumatic_processing_plant', [
'LSL',
'CAC',
'LGL'
], {
  L: 'pneumaticcraft:reinforced_brick_slab',
  G: 'pneumaticcraft:thermal_compressor',
  S: 'pneumaticcraft:liquid_compressor',
  C: '#forge:storage_blocks/bronze',
  A: 'pneumaticcraft:lpg_bucket'
})

//Heat Frame
event.remove({ output: 'pneumaticcraft:heat_frame' })
event.shaped('pneumaticcraft:heat_frame', [
'GGG',
'GLG',
'GGG'
], {
  L: 'industrialforegoing:machine_frame_pity',
  G: 'pneumaticcraft:ingot_iron_compressed'
})

//Etching Tank
event.remove({ output: 'pneumaticcraft:etching_tank' })
event.shaped('pneumaticcraft:etching_tank', [
'LCL',
'CAC',
'LCL'
], {
  L: 'pneumaticcraft:compressed_iron_gear',
  C: 'pneumaticcraft:plastic',
  A: 'pneumaticcraft:medium_tank'
})
})
